| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
PosInfo::Line2DData Class Reference
Basic

Position info for a 2D line. More...

`#include <posinfo2d.h>`

## Public Member Functions
| Line2DData (const char *lnm=0)
| Line2DData (const Line2DData &)
virtual | ~Line2DData ()
void | add (const Line2DPos &)
bool | coincidesWith (const Line2DData &) const
void | compDistBetwTrcsStats (float &max, float &median) const
float | distBetween (int startnr, int stopnr) const
void | dump (od_ostream &, bool pretty=true) const
const TypeSet< int > & | getBendPoints () const
void | getBendPositions (TypeSet< Line2DPos > &) const
Coord | getNormal (int trcnr) const
bool | getPos (const Coord &crd, Line2DPos &l2p, float *dist=0) const
bool | getPos (const Coord &crd, Line2DPos &l2p, float threshold_distance) const
bool | getPos (int trcnr, Line2DPos &) const
int | indexOf (int trcnr) const
bool | isEmpty () const
bool | isPresent (int trcnr) const
void | limitTo (Interval< int > trcrg)
const OD::String & | lineName () const
int | nearestIdx (const Coord &, const Interval< int > &trcnrrg) const
int | nearestIdx (const Coord &crd) const
Line2DData & | operator= (const Line2DData &)
const TypeSet< Line2DPos > & | positions () const
bool | read (od_istream &, bool asc)
void | remove (int trcnr)
void | setBendPoints (const TypeSet< int > &)
void | setEmpty ()
void | setLineName (const char *lnm)
void | setZRange (const StepInterval< float > &zrg)
int | size () const
StepInterval< Pos::TraceID > | trcNrRange () const
bool | write (od_ostream &, bool asc, bool newlns=false) const
const Interval< double > | xRange () const
const Interval< double > | yRange () const
const StepInterval< float > & | zRange () const

## Protected Member Functions
int | getSegmentIndexClosestToPoint (const Coord &) const
int | gtIndex (const Coord &, double *sqdist=0) const
int | gtIndex (int, bool &) const

## Protected Attributes
TypeSet< int > | bendpoints_
BufferString | lnm_
TypeSet< Line2DPos > | posns_
Interval< double > | xrg_
Interval< double > | yrg_
StepInterval< float > | zrg_

## Friends
class | Line2DDataIterator

## Detailed Description

Position info for a 2D line.

<>

## Constructor & Destructor Documentation

## ◆ Line2DData() [1/2]

PosInfo::Line2DData::Line2DData | ( | const char * | lnm = 0 | ) |

## ◆ Line2DData() [2/2]

PosInfo::Line2DData::Line2DData | ( | const Line2DData & |  | ) |

## ◆ ~Line2DData()

virtual PosInfo::Line2DData::~Line2DData | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ add()

void PosInfo::Line2DData::add | ( | const Line2DPos & |  | ) |

## ◆ coincidesWith()

bool PosInfo::Line2DData::coincidesWith | ( | const Line2DData & |  | ) | const

A true return value means they have at least one trace number in common and all common trace numbers have the same coordinates on either line.

## ◆ compDistBetwTrcsStats()

void PosInfo::Line2DData::compDistBetwTrcsStats | ( | float & | max,
|  | float & | median ) const

## ◆ distBetween()

float PosInfo::Line2DData::distBetween | ( | int | startnr,
|  | int | stopnr ) const

## ◆ dump()

void PosInfo::Line2DData::dump | ( | od_ostream & | ,
|  | bool | pretty = true ) const

## ◆ getBendPoints()

const TypeSet< int > & PosInfo::Line2DData::getBendPoints | ( |  | ) | const

## ◆ getBendPositions()

void PosInfo::Line2DData::getBendPositions | ( | TypeSet< Line2DPos > & |  | ) | const

## ◆ getNormal()

Coord PosInfo::Line2DData::getNormal | ( | int | trcnr | ) | const

## ◆ getPos() [1/3]

bool PosInfo::Line2DData::getPos | ( | const Coord & | crd,
|  | Line2DPos & | l2p,
|  | float * | dist = 0 ) const

## ◆ getPos() [2/3]

bool PosInfo::Line2DData::getPos | ( | const Coord & | crd,
|  | Line2DPos & | l2p,
|  | float | threshold_distance ) const

## ◆ getPos() [3/3]

bool PosInfo::Line2DData::getPos | ( | int | trcnr,
|  | Line2DPos & | ) const

## ◆ getSegmentIndexClosestToPoint()

int PosInfo::Line2DData::getSegmentIndexClosestToPoint | ( | const Coord & |  | ) | const
| protected

## ◆ gtIndex() [1/2]

int PosInfo::Line2DData::gtIndex | ( | const Coord & | ,
|  | double * | sqdist = 0 ) const
| protected

## ◆ gtIndex() [2/2]

int PosInfo::Line2DData::gtIndex | ( | int | ,
|  | bool & | ) const
| protected

## ◆ indexOf()

int PosInfo::Line2DData::indexOf | ( | int | trcnr | ) | const

## ◆ isEmpty()

bool PosInfo::Line2DData::isEmpty | ( |  | ) | const
| inline

## ◆ isPresent()

bool PosInfo::Line2DData::isPresent | ( | int | trcnr | ) | const
| inline

## ◆ limitTo()

void PosInfo::Line2DData::limitTo | ( | Interval< int > | trcrg | ) |

## ◆ lineName()

const OD::String & PosInfo::Line2DData::lineName | ( |  | ) | const
| inline

## ◆ nearestIdx() [1/2]

int PosInfo::Line2DData::nearestIdx | ( | const Coord & | ,
|  | const Interval< int > & | trcnrrg ) const

## ◆ nearestIdx() [2/2]

int PosInfo::Line2DData::nearestIdx | ( | const Coord & | crd | ) | const
| inline

## ◆ operator=()

Line2DData & PosInfo::Line2DData::operator= | ( | const Line2DData & |  | ) |

## ◆ positions()

const TypeSet< Line2DPos > & PosInfo::Line2DData::positions | ( |  | ) | const
| inline

## ◆ read()

bool PosInfo::Line2DData::read | ( | od_istream & | ,
|  | bool | asc )

## ◆ remove()

void PosInfo::Line2DData::remove | ( | int | trcnr | ) |

## ◆ setBendPoints()

void PosInfo::Line2DData::setBendPoints | ( | const TypeSet< int > & |  | ) |

## ◆ setEmpty()

void PosInfo::Line2DData::setEmpty | ( |  | ) |
| inline

## ◆ setLineName()

void PosInfo::Line2DData::setLineName | ( | const char * | lnm | ) |
| inline

## ◆ setZRange()

void PosInfo::Line2DData::setZRange | ( | const StepInterval< float > & | zrg | ) |
| inline

## ◆ size()

int PosInfo::Line2DData::size | ( |  | ) | const
| inline

## ◆ trcNrRange()

StepInterval< Pos::TraceID > PosInfo::Line2DData::trcNrRange | ( |  | ) | const

## ◆ write()

bool PosInfo::Line2DData::write | ( | od_ostream & | ,
|  | bool | asc,
|  | bool | newlns = false ) const

## ◆ xRange()

const Interval< double > PosInfo::Line2DData::xRange | ( |  | ) | const
| inline

## ◆ yRange()

const Interval< double > PosInfo::Line2DData::yRange | ( |  | ) | const
| inline

## ◆ zRange()

const StepInterval< float > & PosInfo::Line2DData::zRange | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ Line2DDataIterator

friend class Line2DDataIterator
| friend

## Member Data Documentation

## ◆ bendpoints_

TypeSet<int> PosInfo::Line2DData::bendpoints_
| protected

## ◆ lnm_

BufferString PosInfo::Line2DData::lnm_
| protected

## ◆ posns_

TypeSet<Line2DPos> PosInfo::Line2DData::posns_
| protected

## ◆ xrg_

Interval<double> PosInfo::Line2DData::xrg_
| protected

## ◆ yrg_

Interval<double> PosInfo::Line2DData::yrg_
| protected

## ◆ zrg_

StepInterval<float> PosInfo::Line2DData::zrg_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025